//-----------------------------------------------------------------------------
// Global variables
//-----------------------------------------------------------------------------
float4x4 g_mWorldViewProjection;
texture g_diffuseTexture;

sampler diffuseMap = sampler_state
{ 
    Texture = (g_diffuseTexture);
    MipFilter = POINT;
    MinFilter = POINT;
    MagFilter = POINT;
};

struct SkyVS_Input
{
    float4 Pos : POSITION;
    float3 Tex : TEXCOORD0;
};

struct SkyVS_Output
{
    float4 Pos : POSITION;
    float3 Tex : TEXCOORD0;
};

SkyVS_Output SkyVS( SkyVS_Input Input )
{
    SkyVS_Output Output;
    
    Output.Pos = mul(Input.Pos, g_mWorldViewProjection);
    Output.Tex = Input.Tex;
    
    return Output;
}

float4 SkyPS( SkyVS_Output Input ) : COLOR
{
    float4 color = tex2D( diffuseMap, Input.Tex );
    return color;
}

technique Sky
{
    pass p0
    {
        VertexShader = compile vs_2_0 SkyVS();
        PixelShader = compile ps_2_0 SkyPS();
    }
}




